Bug 1297747 - en_BE.UTF-8 locale broken
en_BE.UTF-8 locale broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 06:28 EST by A. Folger
Modified: 2016-12-21 03:04 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:48:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Folger 2016-01-12 06:28:03 EST
Description of problem:
KDE allows for setting a Belgian locale with English as the language, en_BE.utf8. However, that locale, which I find very useful (a Continental European locale with English as its language) is apparently not in the list produced by locale -a, and indeed, when setting that locale, the system complains about a missing default locale, and UTF-8 support is broken in many applications (especially in bash, in file open dialogs and more).

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Create a file with a non ASCII character in the file name, for example ÄÖÜ or some Hebrew characters, like אבג.
2. Open KDE System Settings, go to Regional Settings, and under "Formats," choose Belgium - English (en_BE).
3. Open terminal window and execute `ls` for the directory where the above file is located.

Actual results:
File name contains a bunch of question marks  where the non ASCII characters ought to be.

Expected results:
Correct file name is displayed.

Additional info:
Not sure if the bug is one of kde-i18n or the core package i18n itself.
Comment 1 Parag Nemade 2016-01-12 06:46:19 EST
we don't have locale file /usr/share/i18n/locales/en_BE yet in glibc-common package. It will not work.
Comment 2 A. Folger 2016-01-12 06:49:22 EST
In that case, it should be removed from kde-i18n, or kde-i18n should include the missing locale files.
Comment 3 Mike FABIAN 2016-01-12 06:58:07 EST
(In reply to A. Folger from comment #2)
> In that case, it should be removed from kde-i18n, or kde-i18n should include
> the missing locale files.

There are no sources in glibc for en_BE either, so it cannot easily
be included in glibc-common unless somebody creates a source for such
a locale.
Comment 4 Mike FABIAN 2016-01-12 06:59:46 EST
(In reply to A. Folger from comment #0)

> KDE allows for setting a Belgian locale with English as the language,
> en_BE.utf8. However, that locale, which I find very useful (a Continental
> European locale with English as its language) is apparently not in the list ...

There is a en_DK.UTF-8 locale though, (Danish locale with English as
the language). Maybe that helps?
Comment 5 Jakub Jelinek 2016-01-12 07:05:30 EST
But where does this stop?  Do we create en_*.UTF-8 locale for every country, because there might be some english speaking people around?  What about other langauges that aren't the official languages of those countries?
Comment 6 Kevin Kofler 2016-01-12 07:06:38 EST
kde-i18n is definitely not the right package to file this against, those are the translations for the ancient KDE 3 stuff.

The list is probably coming from one of: qt5-qtbase, kf5-ki18n, or maybe kde-l10n.
Comment 7 Florian Weimer 2016-01-12 07:38:13 EST
The usual way to deal with this is to set the LANG environment variable to the English variant of your choice (e.g. en_US.UTF-8), and then set other variables such as LC_PAPER, LC_TIME, LC_MEASUREMENT etc., based on personal preferences.  Or you can approach this from the other end: st LANG to your regional locale, and just set LC_MESSAGES to en_US.UTF-8 (or your preferred English variant).

As far as glibc is concerned, the existing locale framework is flexible enough to support this quite well, I think.
Comment 8 A. Folger 2016-01-12 07:51:27 EST
I am happy to use any of the workarounds (including using local C and setting all the variables individually, as pleases me), but in that case, please remove the non functioning option from KDE.

BTW, I am using Fedora 23 KDE spin, with all updates applied.

$ rpm -qa kde* | sort
kde-apps-rpm-macros-4.14.14-4.fc23.noarch
kde-artwork-active-0.3-5.fc23.noarch
kde-baseapps-15.08.2-1.fc23.x86_64
kde-baseapps-common-15.08.2-1.fc23.noarch
kde-cli-tools-5.5.1-1.fc23.x86_64
kde-filesystem-4-52.fc23.x86_64
kde-l10n-15.08.3-1.fc23.noarch
kde-plasma-activitymanager-0.5-8.fc22.x86_64
kde-platform-plugin-4.11.22-2.fc23.x86_64
kde-print-manager-15.04.2-3.fc23.x86_64
kde-print-manager-libs-15.04.2-3.fc23.x86_64
kde-runtime-15.08.3-1.fc23.x86_64
kde-runtime-drkonqi-15.08.3-1.fc23.x86_64
kde-runtime-flags-15.08.3-1.fc23.noarch
kde-runtime-libs-15.08.3-1.fc23.x86_64
kde-settings-23-8.fc23.noarch
kde-settings-kdm-23-8.fc23.noarch
kde-settings-plasma-23-8.fc23.noarch
kde-settings-pulseaudio-23-8.fc23.noarch
kde-style-breeze-5.5.1-1.fc23.x86_64
kde-wallpapers-15.04.2-2.fc23.noarch
kde-workspace-common-4.11.22-2.fc23.noarch
kdecoration-5.5.1-1.fc23.x86_64
kdeedu-4.14.3-2.fc23.noarch
kdeedu-data-15.04.2-2.fc23.noarch
kdeedu-math-4.14.3-2.fc23.noarch
kdegraphics-strigi-analyzer-15.04.2-2.fc23.x86_64
kdegraphics-thumbnailers-15.04.2-2.fc23.x86_64
kdelibs-4.14.14-4.fc23.x86_64
kdelibs-common-4.14.14-4.fc23.x86_64
kdelibs-ktexteditor-4.14.14-4.fc23.x86_64
kdelibs-webkit-4.14.14-4.fc23.x86_64
kdenlive-0.9.10-1.fc22.x86_64
kdepasswd-15.08.2-1.fc23.x86_64
kdepim-runtime-4.14.10-5.fc23.x86_64
kdepim-runtime-libs-4.14.10-5.fc23.x86_64
kdepimlibs-4.14.10-3.fc23.x86_64
kdepimlibs-akonadi-4.14.10-3.fc23.x86_64
kdepimlibs-gpgme-4.14.10-3.fc23.x86_64
kdepimlibs-kxmlrpcclient-4.14.10-3.fc23.x86_64
kdeplasma-addons-5.5.1-1.fc23.x86_64
kdesu-5.5.1-1.fc23.x86_64
Comment 9 Carlos O'Donell 2016-01-12 10:02:49 EST
I'm marking this CLOSED/NOTABUG. We don't have an en_BE supported locale because having en_* for every country would be a large number of locales. As suggested in comment #7 the workaround is to use the various environment variables to set the locale settings as you would like them.
Comment 10 Carlos O'Donell 2016-01-12 10:03:40 EST
Please reopen and assign to the appropriate KDE component if there is still work needed to fix KDE, alternatively file a new bug.
Comment 11 A. Folger 2016-01-12 12:20:54 EST
This obviously still needs fixing, as an option is offered by KDE, which is not available in the underlying subsystem. I filed this bug against kde-i18n. If that's not the right address, then please enlighten me, because the underlying subsystems are not always clearly labelled to the user.

BTW, now I see it is assigned to glibc, which is not what I filed it against.

Please reoped and assign to the right package.
Comment 12 Carlos O'Donell 2016-01-12 12:39:07 EST
Done. Reopened against kde-i18n. They should not have a selector for a locale that us not supported by upstream glibc and not provided by the distribution.
Comment 13 Florian Weimer 2016-01-12 12:44:49 EST
It's possible to get the list of locales with “locale -a” (please do not parse glibc-internal files to get this information).
Comment 14 A. Folger 2016-01-12 13:37:57 EST
Florian, please look at the original bug report above. I mentioned that from the get go. I know how to get the list of glibc locales. The thing is, that list and KDE's list are not identical (there are other differences, too)
Comment 15 Florian Weimer 2016-01-12 14:03:05 EST
(In reply to A. Folger from comment #14)
> Florian, please look at the original bug report above. I mentioned that from
> the get go. I know how to get the list of glibc locales. The thing is, that
> list and KDE's list are not identical (there are other differences, too)

My comment was purely targeted at the KDE developers.  We had other software which parsed internal glibc files directly
Comment 16 A. Folger 2016-01-12 14:40:34 EST
Thank you, @Florian Weimer.
Comment 17 Ngo Than 2016-01-14 07:19:35 EST
i have checked the systemsetting from latest KDE, it seems the setting for LC_MESSAGES does not exist anymore. We need to readd it back
Comment 18 Fedora End Of Life 2016-11-24 09:52:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 12:48:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.